Package org.kapott.hbci.sepa.jaxb.camt_052_001_03

## Class Party11Choice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_03.Party11Choice

    public class Party11Choice
    extends java.lang.Object

Java class for Party11Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Party11Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="OrgId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}OrganisationIdentification8"/>
               <element name="PrvtId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}PersonIdentification5"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected OrganisationIdentification8` `orgId`
`protected PersonIdentification5` `prvtId`

### Constructor Summary

Constructors
`Party11Choice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`OrganisationIdentification8` `getOrgId()` Gets the value of the orgId property.
`PersonIdentification5` `getPrvtId()` Gets the value of the prvtId property.
`void` `setOrgId​(OrganisationIdentification8 value)` Sets the value of the orgId property.
`void` `setPrvtId​(PersonIdentification5 value)` Sets the value of the prvtId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### orgId

    protected OrganisationIdentification8 orgId

#### prvtId

    protected PersonIdentification5 prvtId

### Constructor Detail

#### Party11Choice

    public Party11Choice()

### Method Detail

#### getOrgId

    public OrganisationIdentification8 getOrgId()

Gets the value of the orgId property.

Returns:
  possible object is `OrganisationIdentification8`

#### setOrgId

    public void setOrgId​(OrganisationIdentification8 value)

Sets the value of the orgId property.

Parameters:
  `value` - allowed object is `OrganisationIdentification8`

#### getPrvtId

    public PersonIdentification5 getPrvtId()

Gets the value of the prvtId property.

Returns:
  possible object is `PersonIdentification5`

#### setPrvtId

    public void setPrvtId​(PersonIdentification5 value)

Sets the value of the prvtId property.

Parameters:
  `value` - allowed object is `PersonIdentification5`